Show / Hide Table of Contents

# Class SeStringExtensions

Extension methods for SeStrings.

##### Inheritance

System.Object
SeStringExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility

###### Assembly: Dalamud.dll

##### Syntax

    public static class SeStringExtensions

### Methods

| Improve this Doc View Source

#### ToDalamudString(SeString)

Convert a Lumina SeString into a Dalamud SeString. This conversion re-parses the string.

##### Declaration

    public static SeString ToDalamudString(this SeString originalString)

##### Parameters

Type | Name | Description
--- | --- | ---
Lumina.Text.SeString | originalString | The original Lumina SeString.

##### Returns

Type | Description
--- | ---
SeString | The re-parsed Dalamud SeString.